Subject: [Ice] Editorial comments on draft-ietf-ice-dualstack-fairness-02

From: Christer Holmberg <[email-masked]>
Date: Mon, 23 May 2016 18:47:33 +0000

Hi,

I was reading draft-ietf-ice-dualstack-fairness-02, and I have some comments (mostly editorial) on sections 4 and 5.

The text in section 4 says:

"The best approach is to modify the formula for calculating the candidate priority value described in ICE [RFC5245] section 4.1.2.1"

Besides that, section 4 doesn't anything about HOW the formula is modifies.

The name of section 5 is "Compatibility". But, I think most of the text actually belongs to section 4, because it's not about compatibility - it's about how to ensure dual-stack fairness.

The compatibility section should only contain the text about how entities will interop even if they don't use the same algorithm, etc.

Also, in my opinion the statement that the text modifies the candidate priority algorithm is misleading. The algorithm from RFC 5264 is shown in the beginning of section 5, and it is not modified anywhere. At the end of the chapter, there is a formula for calculating pair priority. So, shouldn't the text instead say that the draft extends the procedures for generating the priority list, or something like that?

Regards,

Christer